LILO-UUID-DISKID(8)

NAME
lilo-uuid-diskid - convert boot / root options to diskid and uuid in lilo.conf.

SYNOPSIS
lilo-uuid-diskid [-h] [-v] [lilo.conf]

DESCRIPTION
This script looks for the boot block device or boot partition and create the right diskid or uuid as boot option. Then it looks for all root partitions and create the right uuids as root options.

These conversions are necessary for use with newer kernel (>= 2.6.26) if it use the libata module for parallel and serial ATA interfaces of block devices (i. e. hard disks with IDE or SATA interface, usbsticks).

OPTIONS

-h  Print a brief help.

-v  Print verbose messages.

EXAMPLES
Lines in the configuration file /etc/lilo.conf:

  #boot = /dev/sda
  boot = /dev/disk/by-id/ata-SAMSUNG_SV1604N_S01FJ10X999999

  #root = /dev/sda1
  root = "UUID=18843936-00f9-4df0-a373-000d05a5dd44"

COPYRIGHT and LICENSE
Copyright (C) 2010-2014 Joachim Wiedorn

This script is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

AUTHOR
lilo-uuid-diskid was written by Joachim Wiedorn.

This manual page was written by Joachim Wiedorn <joodevel at joonet.de>.

SEE ALSO
lilo(8), update-lilo(8), liloconfig(8)